!macro customInit
  # Uninstallation of UC ware
  ReadRegStr $0 HKLM "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\DS Talk_is1" "UninstallString"
  ${If} $0 != ""
    ExecWait $0 $1
  ${EndIf}

  # Installation of .NET Framework
  ReadRegDWORD $0 HKLM "SOFTWARE\Microsoft\NET Framework Setup\NDP\v4\Full" "Release"
  IntCmp $0 460798 is_equal is_less is_greater

  is_equal:
    Goto dnf_install_not_needed
  is_greater:
    Goto dnf_install_not_needed
  is_less:
    Goto dnf_install_needed

  dnf_install_needed:
    NSISdl::download "http://go.microsoft.com/fwlink/?LinkId=825298" "$TEMP\dotNET47Web.exe"
    Pop $R0

    ${If} $R0 != "success"
      MessageBox MB_OK|MB_ICONEXCLAMATION "Unable to download .NET Framework.  ${PRODUCT_NAME} will be installed, but will not function without the Framework!"
      Goto done_dotNET
    ${Else}
      ExecWait '"$TEMP\dotNET47Web.exe" /showrmui /passive /norestart' $1
      ${If} $1 = 1641
      ${OrIf} $1 = 3010
        SetRebootFlag true
      ${EndIf}
    ${EndIf}

  dnf_install_not_needed:
    Goto done_dotNET

  done_dotNET:

!macroend

!macro customInstall

!macroend
