export enum ElectronAppChannel {
  WillFinishLaunching = 'will-finish-launching',
  Ready = 'ready',
  WindowAllClosed = 'window-all-closed',
  BeforeQuit = 'before-quit',
  WillQuit = 'will-quit',
  Quit = 'quit',
  OpenFile = 'open-file',
  OpenUrl = 'open-url',
  Activate = 'activate',
  ContinueActivity = 'continue-activity',
  WillContinueActivity = 'will-continue-activity',
  ContinueActivityError = 'continue-activity-error',
  ActivityWasContinued = 'activity-was-continued',
  SecondInstance = 'second-instance'
}

export enum ElectronBrowserWindowChannel {
  EnterFullScreen = 'enter-full-screen',
  LeaveFullScreen = 'leave-full-screen',
  Maximize = 'maximize',
  Minimize = 'minimize',
  Unmaximize = 'unmaximize',
  Restore = 'restore',
  Hide = 'hide',
  Show = 'show',
  Close = 'close',
  Closed = 'closed',
  ReadyToShow = 'ready-to-show',
  Focus = 'focus'
}

export enum ElectronWebContentsChannel {
  DevtoolsOpened = 'devtools-opened',
  DidStartLoading = 'did-start-loading',
  DidFinishLoad = 'did-finish-load',
  DidFailLoad = 'did-fail-load'
}
