import { ElectronNotificationEventType } from '../types/event.type';

export interface ElectronNotificationEvent {
  type: ElectronNotificationEventType;
  id: number;
  close?: (reason?: any) => void;
}

export interface ElectronNotification {
  id?: number;
  displayTime?: number;
  title?: string;
  text?: string;
  image?: string;
  url?: string;
  sound?: string;
  onClick?: (e: ElectronNotificationEvent) => void;
  onShow?: (e: ElectronNotificationEvent) => void;
  onClose?: (e: ElectronNotificationEvent) => void;
}
