/*
 * Public API Surface of ucap-webmessenger-api-message
 */
export * from './lib/apis/del';
export * from './lib/apis/detail';
export * from './lib/apis/edit-reservation-ex';
export * from './lib/apis/my-message';
export * from './lib/apis/notice';
export * from './lib/apis/retrieve';
export * from './lib/apis/send-copy';
export * from './lib/apis/send';
export * from './lib/apis/unread-count';

export * from './lib/services/message-api.service';

export * from './lib/ucap-message-api.module';

export * from './lib/models/detail-receiver';
export * from './lib/models/detail-content';
export * from './lib/models/message-list';
export * from './lib/models/notice-list';

export * from './lib/types/category.type';
export * from './lib/types/content.type';
export * from './lib/types/message.search.type';
export * from './lib/types/message.type';

export * from './lib/config/urls';
export * from './lib/config/module-config';
