export enum WebLinkType {
  /** 웹하드 URL */
  Webhard = 'WebLinkWebhard',
  /** DSP URL */
  Dsp = 'WebLinkDsp',
  /** SMS URL */
  Sms = 'WebLinkSms',
  /** 화상회의 URL */
  Conf = 'WebLinkConf',
  /** EP URL */
  Ep = 'WebLinkEp',
  /** S&OP회의 URL */
  Sop = 'WebLinkSop',
  /** S&OM회의 URL */
  Som = 'WebLinkSom',
  /** 코끼리 URL */
  Elephant = 'WebLinkElephant',
  /** IT서비스데스크 URL */
  Itsvcdesk = 'WebLinkItsvcdesk',
  /** 개인속보 URL */
  UrgntNews = 'WebLinkUrgntNews',
  /** 메일Count URL */
  MailCnt = 'WebLinkMailCnt',
  /** 메일 링크 URL */
  Mail = 'WebLinkMail',
  /** 결재Count URL */
  PaymentCnt = 'WebLinkPaymentCnt',
  /** 결재링크 URL */
  Payment = 'WebLinkPayment',
  /** 비밀번호변경 URL  ; PC 메신저만 해당 비밀번호 만료시 */
  ChgPassword = 'WebLinkChgPassword'
}
