export enum EventType {
  /** J: 대화참여 */
  Join = 'J',
  /** C: 대화전송 */
  Character = 'C',
  /** F: 파일전송 */
  File = 'F',
  /** S: 스티커 */
  Sticker = 'S',
  /** T: Mass Text */
  MassText = 'T',
  /** E: 대화퇴장 */
  Exit = 'E',
  /** P: 일정 */
  Plan = 'P',
  /** V: 화상회의 */
  VideoConference = 'V',
  /** L: 링크(Legacy) */
  Link = 'L',
  /** R: 대화방명변경 */
  RenameRoom = 'R',
  /** Y: 번역 */
  Translation = 'Y',
  /** Z: 대용량 번역 */
  MassTranslation = 'Z',
  /** U: 회수된 메시지 */
  RecalledMessage = 'U',
  /** N: 방Timer 변경 안내 */
  GuideForRoomTimerChanged = 'N',
  /** X: iOS캡쳐알림 */
  NotificationForiOSCapture = 'X',
  /** B: 타이머대화방알림 */
  NotificationForTimerRoom = 'B',
  /** Q: 2개월전 메시지 */
  Before2MonthsAgo = 'Q',
  /** G: 강제 퇴장 */
  ForcedExit = 'G',
  /** H: 챗봇대화 시작 */
  ChatbotStart = 'H',
  /** K: 챗봇대화 종료 */
  ChatbotEnd = 'K',
  /** I: 챗봇대화 전송 */
  ChatbotSend = 'I',
  /** A: 챗봇 대용량 대화 전송 */
  ChatbotSendMass = 'A',
  /** M: 동영상 스트리밍 */
  VideoStreamming = 'M',
  /** O: SNS 공유 */
  SnsShare = 'O',

  // [daesang]
  /** p: 코끼리 알림 */
  AllimElephant = 'p',
  /** g: TMS 알림 */
  AllimTms = 'g'
}
