import { StatusCode } from '@ucap-webmessenger/core';
import { WorkStatusType } from '../types/work-status.type';

export interface StatusInfo {
  /** 사용자SEQ */
  userSeq: number;
  /** 상태코드(PC) */
  pcStatus: StatusCode;
  /** 상태코드(통화) */
  phoneStatus: StatusCode;
  /** 상태코드(모바일) */
  mobileStatus: StatusCode;
  /** 상태코드(PC화상) */
  conferenceStatus: StatusCode;
  /** 상태메시지 */
  statusMessage: string;
  /** 상태코드(Mobile화상) */
  mobileConferenceStatus: StatusCode;
  /** 상태코드(iMessenger) */
  imessengerStatus: StatusCode;

  /** 업무상태 */
  workstatus?: WorkStatusType;
}
