import { IntroComponent } from './intro.component';
import { LeftNaviComponent } from './left-nav.component';
import { LeftSideComponent } from './left-side.component';
import { MessagesComponent } from './messages.component';
import { RightSideComponent } from './right-side.component';
import { RightDrawerComponent } from './right-drawer.component';

import { LEFT_SIDENAV_COMPONENTS } from './left-sidenav';
import { RIGHT_DRAWER_COMPONENTS } from './right-drawer';

export const COMPONENTS = [
  IntroComponent,
  LeftNaviComponent,
  LeftSideComponent,
  MessagesComponent,
  RightSideComponent,
  RightDrawerComponent,

  ...LEFT_SIDENAV_COMPONENTS,
  ...RIGHT_DRAWER_COMPONENTS
];
