import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { FlexLayoutModule } from '@angular/flex-layout';

import { MatSidenavModule } from '@angular/material/sidenav';

import { AppMessengerLayoutModule } from '@app/layouts/messenger/messenger.layout.module';

import { AppMessengerRoutingPageModule } from './messenger-routing.page.module';

import { COMPONENTS } from './components';

import { AngularSplitModule } from 'angular-split';

@NgModule({
  imports: [
    CommonModule,
    FlexLayoutModule,
    MatSidenavModule,
    AppMessengerLayoutModule,
    AppMessengerRoutingPageModule,

    AngularSplitModule.forRoot(),
  ],
  declarations: [...COMPONENTS],
  entryComponents: [],
})
export class AppMessengerPageModule {}
