import { LocaleCode } from '@ucap-webmessenger/core';
import { Settings } from '@ucap-webmessenger/ui-settings';

export const KEY_APP_USER_INFO = 'ucap::APP_USER_INFO';

export interface AppUserInfo {
  loginId?: string;
  loginPw?: string;
  rememberMe?: boolean;
  companyCode?: string;
  companyGroupType?: string;
  localeCode?: LocaleCode;
  idleCheckTime?: number;
  zoom?: number;

  settings?: Settings;
}
