import { NgModule, ModuleWithProviders } from '@angular/core';

import { DaesangCipherService } from './services/daesang-cipher.service';
import { DaesangProtocolService } from './services/daesang-protocol.service';
import { DaesangApiService } from './services/daesang-api.service';

const SERVICES = [
  DaesangCipherService,
  DaesangProtocolService,
  DaesangApiService
];

@NgModule({
  declarations: [],
  imports: [],
  exports: []
})
export class UCapDaesangModule {
  public static forRoot(): ModuleWithProviders<UCapDaesangModule> {
    return {
      ngModule: UCapDaesangModule,
      providers: [...SERVICES]
    };
  }
}
