import {
  Component,
  OnInit,
  Output,
  EventEmitter,
  ViewChild,
  AfterViewInit,
  ChangeDetectorRef,
  OnDestroy,
  ElementRef,
  Input
} from '@angular/core';

import { ucapAnimations } from '@ucap-webmessenger/ui';

import { NGXLogger } from 'ngx-logger';
import {
  ContentType,
  MessageList,
  MessageType
} from '@ucap-webmessenger/api-message';

@Component({
  selector: 'ucap-message-list-item',
  templateUrl: './list-item.component.html',
  styleUrls: ['./list-item.component.scss'],
  animations: ucapAnimations
})
export class ListItemComponent implements OnInit, OnDestroy, AfterViewInit {
  @Input()
  message: MessageList;

  ContentType = ContentType;
  MessageType = MessageType;

  constructor(
    private changeDetectorRef: ChangeDetectorRef,
    private logger: NGXLogger
  ) {}

  ngOnInit() {}

  ngOnDestroy(): void {}

  ngAfterViewInit(): void {}
}
